Skip to main content
GET
/
v1
/
campaigns
cURL
curl --request GET \
  --url https://app.usesend.com/api/v1/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "campaigns": [
    {
      "id": "<string>",
      "name": "<string>",
      "from": "<string>",
      "subject": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "scheduledAt": "2023-11-07T05:31:56Z",
      "total": 123,
      "sent": 123,
      "delivered": 123,
      "unsubscribed": 123
    }
  ],
  "totalPage": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
string

Page number for pagination (default: 1)

Example:

"1"

status
enum<string>

Filter campaigns by status

Available options:
DRAFT,
SCHEDULED,
RUNNING,
PAUSED,
SENT
Example:

"DRAFT"

Search campaigns by name or subject

Example:

"newsletter"

Response

200 - application/json

Get list of campaigns

campaigns
object[]
required
totalPage
integer
required